# Create a Service Creates a new service in a group. Request valid only in scope of Primary or Standalone Hub and can't be used in scope of a Connected Hub. Endpoint: POST /hubs/{subdomain}/services Version: 3.0-R1 Security: ApiKeyAuth ## Path parameters: - `subdomain` (string, required) Unique subdomain of requested Hub. ## Query parameters: - `api_version` (string) Api version Enum: "V3-R1" ## Request fields (application/json): - `custom_id` (string,null) custom_id is a property that can be used to assign an external identifier to a service. This identifier can be used, for example, to synchronize monitored entities with services in StatusHub. custom_id has to be unique within the scope of a Hub. - `description` (string,null) description can be used to add more information describing the service on a Hub Page. Description is visible inside a tooltip in a Hub Page. - `group_id` (integer, required) - `name` (string, required) - `public_name` (string,null) public_name is an optional name that can be used to show different name for visitors of Hub Page and subscribers. Typical use-case is to use name describing customer or contractor name so members using StatusHub Control Panel can distinguish the services easily and use public_name with generic or obfuscated name to not disclose the actual name of customer or subcontractor especially on public Hubs. ## Response 200 fields (application/json): - `custom_id` (string,null) custom_id is a property that can be used to assign an external identifier to a service. This identifier can be used, for example, to synchronize monitored entities with services in StatusHub. custom_id has to be unique within the scope of a Hub. - `description` (string,null) description can be used to add more information describing the service on a Hub Page. Description is visible inside a tooltip in a Hub Page. - `group_id` (integer) Example: 106 - `id` (integer) Example: 107 - `name` (string) - `public_name` (string,null) public_name is an optional name that can be used to show different name for visitors of Hub Page and subscribers. Typical use-case is to use name describing customer or contractor name so members using StatusHub Control Panel can distinguish the services easily and use public_name with generic or obfuscated name to not disclose the actual name of customer or subcontractor especially on public Hubs. - `token` (string) Unique token value that is being used to connect external integrations to StatusHub. Typically all integration URLs are using the token value so knowing the token value allows to construct various integrations URLs programmatically. - `created_at` (string) Timestamp of record creation. ISO8601 formatted time (UTC). Example: "2020-09-01T08:29:00Z" - `updated_at` (string) Timestamp of last modification of record. ISO8601 formatted time (UTC). Example: "2020-09-01T08:29:00Z" - `flags` (object) - `flags.archived` (boolean) Is this service archived. Events affecting only the archived services are still visible on Hub Page with direct event link. - `flags.deleted` (boolean) Is this service deleted. Events affecting only the deleted services are still visible on Hub Page with direct event link.